Bug 888201 - Alienarena-data (Game data) is non-commercial use
Alienarena-data (Game data) is non-commercial use
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: alienarena-data (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Tom "spot" Callaway
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks: FE-Legal
  Show dependency treegraph
 
Reported: 2012-12-18 04:26 EST by mejiko
Modified: 2013-11-15 15:28 EST (History)
1 user (show)

See Also:
Fixed In Version: alienarena-7.66-1.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-11-11 19:33:14 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description mejiko 2012-12-18 04:26:50 EST
Hello.

alienarena-data is content, but non-free (commercial use restriction).
See (Source Package): alienarena-7.53/docs/license.txt.

Suggests:

1. Remove non-free game data.
2. Remove Fedora repos.

Thanks.


Reference:

https://libregamewiki.org/Libregamewiki:Rejected_games_list

https://svn.icculus.org/alienarena/trunk/docs/license.txt?view=markup

https://fedoraproject.org/wiki/Licensing:Main?rd=Licensing#Content_Licenses

https://fedoraproject.org/wiki/Packaging:Guidelines?rd=Packaging/Guidelines#CodeVsContent
Comment 1 mejiko 2012-12-18 04:34:18 EST
Blocking FE-Legal, This is license problem.
Comment 2 Tom "spot" Callaway 2013-01-04 16:36:43 EST
Sent the copyright holder an email to see if they could resolve this concern for us.
Comment 3 mejiko 2013-02-27 05:25:55 EST
This bug affected Fedora 18.

How it this bug current status ? (responce from upstream author, etc...)

Is this bug is resolved ?

Thanks.
Comment 4 Tom "spot" Callaway 2013-04-12 16:44:20 EDT
Trying again to get a response before we pull this out of Fedora:

http://red.planetarena.org/forum/showthread.php?tid=716
Comment 5 Tom "spot" Callaway 2013-05-15 09:42:23 EDT
Upstream has amended their license to make it clear that when distributed as a whole set, the data is freely distributable (without commercial restrictions).

http://svn.icculus.org/alienarena/trunk/docs/README.txt?r1=3061&r2=3563

I'll apply this patch when I do the next update.
Comment 6 Fedora End Of Life 2013-07-04 02:33:22 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 7 Tom "spot" Callaway 2013-08-16 12:46:01 EDT
License updated in rawhide, closing.
Comment 8 Fedora Update System 2013-09-05 12:14:38 EDT
alienarena-7.65-5.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/alienarena-7.65-5.fc20
Comment 9 Fedora Update System 2013-09-05 13:15:48 EDT
alienarena-7.65-5.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/alienarena-7.65-5.fc19
Comment 10 Fedora Update System 2013-11-05 16:38:10 EST
alienarena-7.66-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/alienarena-7.66-1.fc19
Comment 11 Fedora Update System 2013-11-05 16:38:36 EST
alienarena-7.66-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/alienarena-7.66-1.fc20
Comment 12 Fedora Update System 2013-11-06 13:25:08 EST
Package alienarena-7.66-1.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing alienarena-7.66-1.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-20783/alienarena-7.66-1.fc20
then log in and leave karma (feedback).
Comment 13 Fedora Update System 2013-11-11 19:33:14 EST
alienarena-7.66-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 14 Fedora Update System 2013-11-15 15:28:18 EST
alienarena-7.66-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.